<h1>How to write a sidebar</h1>
<p>In the includes/sidebar.php script, you have to create a (optionally) multidimensional ragged array to hold all of the links.</p>
<p>Basic format: $sidebar_items["heading1"]["subheading"]["title"] = "link"</p>
<p>The headings and subheadings allow you to create an expandable tree in your sidebar.  The sidebar code handles all of the expansion and contraction problems... you just have to tell it how to lay it out.</p>
<p>Remember that links must be in the standard framework format of index.php?next_page=page_you_want_to_go_to.</p>
<p>Example:</p>
<pre>
$sidebar_items["Staff Schedule"]["Daily View"]="index.php?next_page=websched/daily.php";
$sidebar_items["Staff Schedule"]["Weekly View"]="index.php?next_page=websched/weekly.php";
$sidebar_items["Schedule Admin"]["View/Post Schedules"]="index.php?next_page=websched-admin/index.php";
$sidebar_items["Schedule Admin"]["Gather Schedule Prefs"]="index.php?next_page=websched-prefs/view_requests.php";
</pre>
<p>This sidebar will create two expanding menus, one named Staff Schedule, and the other names Schedule Admin.  Under each of these two headings, there will be two links.</p>
<p>You can also do spacers, lines, and titles (without links).  All you do is specify a specific link, rather than a real one, to tell the framework that this is what you want.</p>
<p>For blanks, put "(blank)" as the link.  For a line, use "(line)".  For a heading, do not assign anything to the link ("").</p>
<p>Remember that you are using arrays to define your sidebar, so if you want to do multiple lines, blanks, or titles, each must have a different name.</p>
<p>Example:</p>
<pre>
$sidebar_items["line1"] = "(line)";
$sidebar_items["line2"] = "(line)";
$sidebar_items["blank1"] = "(blank)";
$sidebar_items["blank2"] = "(blank)";
</pre>
