<h1>How to write a page</h1>
<p>This document will discuss intricacies that you should watch out for when writing a framework page.</p>
<h2>Location</h2>
<p>Place all pages in the pages/ directory of the framework.  You can create subdirectories in here to make file management easier.</p>
<h2>Tags</h2>
<p>You do not need html, body or head tags when writing a framework page.  Everything is done for you... all you have to do is start writing html.</p>
<h2>Links</h2>
<p>If you are linking to another page in the framework, make sure you link to the dispatcher with ?next_page=(the_page_you_want_to_go_to) instead of linking directly to the page.</p>
<h2>Images, includes, scripts</h2>
<p>If using a link, img, script, or other tag that requires a pointer to another file in the framework, remember that these will all be included relative to the location of the dispatcher, not the script you're currently writing.  For example, if you want an image in includes/images/image.gif, and you're writing a script in pages/dir1/page.php, link to includes/images/image.gif, not ../../includes/images/image.gif.</p>
<h2>Print errors</h2>
<p>Any page where there's even a remote chance of generating errors should have a print_errors() call.  I generally place this call right under the first header on the page.</p>
<h2>Forms</h2>
<p>Since users can be redirected back to a form (if there's a validation or some other kind of error), you should deal with this and check to see if the form's already been submitted.  If so, you should fill in the fields again with whatever the user submitted.</p>
<h2>Login</h2>
<p>If you want the user to log in before being able to view a page, you should put a require_login() call as the *first* thing in the script.</p>
<h2>HTTP Location headers</h2>
<p>You can use HTTP location headers to redirect to another page, as the header and sidebar are output buffer cached until the page include is finished.</p>
